Bug 244914 - digikam crashes on startup
Summary: digikam crashes on startup
Status: RESOLVED NOT A BUG
Alias: None
Product: digikam
Classification: Unclassified
Component: Geolocation-Marble (show other bugs)
Version: 1.3.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
: 266149 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-07-17 00:26 UTC by Cyrille Dunant
Modified: 2022-01-07 16:45 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 7.5.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cyrille Dunant 2010-07-17 00:26:09 UTC
Application: digikam (1.3.0)
KDE Platform Version: 4.4.93 (KDE 4.4.93 (KDE 4.5 >= 20100713)) "release 1"
Qt Version: 4.7.0
Operating System: Linux 2.6.31.12-0.2-desktop x86_64
Distribution: "openSUSE 11.2 (x86_64)"

-- Information about the crash:
The crash occurs every time at startup, and yields the same backtrace.

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f53178cc7c0 (LWP 13787))]

Thread 13 (Thread 0x7f5300bd8710 (LWP 13788)):
#0  0x00007f530f3c639c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f5312b33b8b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00000000006aa43d in Digikam::ScanController::run (this=0xc39cf0) at /usr/src/debug/digikam-1.3.0/digikam/scancontroller.cpp:516
#3  0x00007f5312b32fce in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#4  0x00007f530f3c1a4f in start_thread () from /lib64/libpthread.so.0
#5  0x00007f531118782d in clone () from /lib64/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f53003d7710 (LWP 13791)):
#0  0x00007f530f3c40b4 in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x00007f5309b88fae in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f5309b89e69 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f5309b8a510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f5312c52096 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x00007f5312c24c62 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00007f5312c2504c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#7  0x00007f5312b3004d in QThread::exec() () from /usr/lib64/libQtCore.so.4
#8  0x00007f5312b32fce in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#9  0x00007f530f3c1a4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f531118782d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f52ff9c9710 (LWP 13792)):
#0  0x00007f531117e6b3 in poll () from /lib64/libc.so.6
#1  0x00007f5309b89fd4 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f5309b8a510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f5312c52096 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#4  0x00007f5312c24c62 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x00007f5312c2504c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00007f5312b3004d in QThread::exec() () from /usr/lib64/libQtCore.so.4
#7  0x00007f5312b32fce in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#8  0x00007f530f3c1a4f in start_thread () from /lib64/libpthread.so.0
#9  0x00007f531118782d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f52fe657710 (LWP 13793)):
#0  0x00007f530f3c639c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f5312b33b8b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007f5314dc71f8 in Digikam::ParkingThread::run (this=0xce4b60) at /usr/src/debug/digikam-1.3.0/libs/threads/threadmanager.cpp:101
#3  0x00007f5312b32fce in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#4  0x00007f530f3c1a4f in start_thread () from /lib64/libpthread.so.0
#5  0x00007f531118782d in clone () from /lib64/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f52fde56710 (LWP 13794)):
#0  0x00007f5309b88eda in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f5309b89e69 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f5309b8a510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f5312c52096 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#4  0x00007f5312c24c62 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x00007f5312c2504c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00007f5312b3004d in QThread::exec() () from /usr/lib64/libQtCore.so.4
#7  0x00007f5312b32fce in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#8  0x00007f530f3c1a4f in start_thread () from /lib64/libpthread.so.0
#9  0x00007f531118782d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f52fd655710 (LWP 13795)):
#0  0x00007f5311194a30 in pthread_mutex_unlock () from /lib64/libc.so.6
#1  0x00007f5309b89712 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f5309b89ff2 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f5309b8a510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f5312c52096 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x00007f5312c24c62 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00007f5312c2504c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#7  0x00007f5312b3004d in QThread::exec() () from /usr/lib64/libQtCore.so.4
#8  0x00007f5312b32fce in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#9  0x00007f530f3c1a4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f531118782d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f52f42e1710 (LWP 13797)):
#0  0x00007f530f3c6709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f52fa408671 in metronom_sync_loop () from /usr/lib64/libxine.so.1
#2  0x00007f530f3c1a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f531118782d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f52f286e710 (LWP 13798)):
#0  0x00007f530f3c6709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f52fa413e69 in interruptable_sleep () from /usr/lib64/libxine.so.1
#2  0x00007f52fa416621 in video_out_loop () from /usr/lib64/libxine.so.1
#3  0x00007f530f3c1a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f531118782d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f52f206d710 (LWP 13799)):
#0  0x00007f531117e6b3 in poll () from /lib64/libc.so.6
#1  0x00007f5309b89fd4 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f5309b8a510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f5312c52096 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#4  0x00007f5312c24c62 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x00007f5312c2504c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00007f5312b3004d in QThread::exec() () from /usr/lib64/libQtCore.so.4
#7  0x00007f52fa664266 in Phonon::MediaSource::type() const () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#8  0x00007f5312b32fce in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#9  0x00007f530f3c1a4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f531118782d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f52f1662710 (LWP 13802)):
#0  0x00007f531117e6b3 in poll () from /lib64/libc.so.6
#1  0x00007f52f1668c4e in ao_alsa_handle_event_thread () from /usr/lib64/xine/plugins/1.28/xineplug_ao_out_alsa.so
#2  0x00007f530f3c1a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f531118782d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f52f0e61710 (LWP 13803)):
#0  0x00007f530f3c639c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f52fa419713 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007f530f3c1a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f531118782d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f52f0660710 (LWP 13804)):
#0  0x00007f530f3c409e in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x00007f5309b89742 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f5309b89ff2 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f5309b8a510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f5312c52096 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x00007f5312c24c62 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00007f5312c2504c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#7  0x00007f5312b3004d in QThread::exec() () from /usr/lib64/libQtCore.so.4
#8  0x00007f5312c04a88 in QInotifyFileSystemWatcherEngine::run() () from /usr/lib64/libQtCore.so.4
#9  0x00007f5312b32fce in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#10 0x00007f530f3c1a4f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f531118782d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f53178cc7c0 (LWP 13787)):
[KCrash Handler]
#6  0x00007f531029d07c in jpeg_CreateDecompress (cinfo=0x17aae58, version=62, structsize=632) at jdapimin.c:38
#7  0x00007f53036824ef in QJpegHandlerPrivate::readJpegHeader(QIODevice*) () from /usr/lib64/qt4/plugins/imageformats/libqjpeg.so
#8  0x00007f530368279f in QJpegHandlerPrivate::read(QImage*) () from /usr/lib64/qt4/plugins/imageformats/libqjpeg.so
#9  0x00007f5311e28b43 in QImageReader::read(QImage*) () from /usr/lib64/libQtGui.so.4
#10 0x00007f5311e290ac in QImageReader::read() () from /usr/lib64/libQtGui.so.4
#11 0x00007f5311e18d4e in QImage::load(QString const&, char const*) () from /usr/lib64/libQtGui.so.4
#12 0x00007f5311e18fa5 in QImage::QImage(QString const&, char const*) () from /usr/lib64/libQtGui.so.4
#13 0x00007f531421eaa9 in Marble::TextureTile::TextureTile (this=0x17ae750, tileId=<value optimized out>, fileName=...) at /usr/src/debug/kdeedu-4.4.93svn1149349/marble/src/lib/TextureTile.cpp:39
#14 0x00007f53142222b5 in Marble::TileLoader::loadTile (this=0x16f64f0, stackedTileId=..., tileId=..., usage=<value optimized out>)
    at /usr/src/debug/kdeedu-4.4.93svn1149349/marble/src/lib/TileLoader.cpp:55
#15 0x00007f531428b1fb in Marble::StackedTileLoader::loadTile (this=0x16f75c0, stackedTileId=..., usage=<value optimized out>, forMergedLayerDecorator=<value optimized out>)
    at /usr/src/debug/kdeedu-4.4.93svn1149349/marble/src/lib/StackedTileLoader.cpp:225
#16 0x00007f5314275e47 in Marble::AbstractScanlineTextureMapper::initTileSize (this=0x17b08a0) at /usr/src/debug/kdeedu-4.4.93svn1149349/marble/src/lib/AbstractScanlineTextureMapper.cpp:619
#17 0x00007f53142761eb in Marble::AbstractScanlineTextureMapper::AbstractScanlineTextureMapper (this=0x17b08a0, textureLayer=0x17aec70, tileLoader=0x16f75c0, parent=<value optimized out>)
    at /usr/src/debug/kdeedu-4.4.93svn1149349/marble/src/lib/AbstractScanlineTextureMapper.cpp:62
#18 0x00007f5314278819 in Marble::SphericalScanlineTextureMapper::SphericalScanlineTextureMapper (this=0x17aae58, textureLayer=0x3e, tileLoader=0x278, parent=0x7f53036829f0)
    at /usr/src/debug/kdeedu-4.4.93svn1149349/marble/src/lib/SphericalScanlineTextureMapper.cpp:33
#19 0x00007f53141f584e in Marble::MarbleModel::setupTextureMapper (this=0x16eff40, projection=<value optimized out>) at /usr/src/debug/kdeedu-4.4.93svn1149349/marble/src/lib/MarbleModel.cpp:521
#20 0x00007f53141fa40b in Marble::MarbleModel::setMapTheme (this=0x16eff40, mapTheme=<value optimized out>, currentProjection=Spherical)
    at /usr/src/debug/kdeedu-4.4.93svn1149349/marble/src/lib/MarbleModel.cpp:397
#21 0x00007f5314201139 in Marble::MarbleMap::setMapThemeId (this=0x16f7db0, mapThemeId=<value optimized out>) at /usr/src/debug/kdeedu-4.4.93svn1149349/marble/src/lib/MarbleMap.cpp:938
#22 0x00007f53141f0a23 in Marble::MarbleWidget::setMapThemeId (this=0x16f8540, mapThemeId=...) at /usr/src/debug/kdeedu-4.4.93svn1149349/marble/src/lib/MarbleWidget.cpp:884
#23 0x00007f5314e5c6aa in Digikam::WorldMapWidget::setMapTheme (this=0x16ee7c0, theme=<value optimized out>) at /usr/src/debug/digikam-1.3.0/libs/imageproperties/worldmapwidget.cpp:409
#24 0x00007f5314e5c8f8 in Digikam::WorldMapWidget::readConfig (this=0x16ee7c0, group=...) at /usr/src/debug/digikam-1.3.0/libs/imageproperties/worldmapwidget.cpp:364
#25 0x00007f5314e5a722 in Digikam::ImagePropertiesGPSTab::readConfig (this=0x16abf30) at /usr/src/debug/digikam-1.3.0/libs/imageproperties/imagepropertiesgpstab.cpp:212
#26 0x00007f5314e5b6f8 in Digikam::ImagePropertiesGPSTab::ImagePropertiesGPSTab (this=0x16abf30, parent=<value optimized out>)
    at /usr/src/debug/digikam-1.3.0/libs/imageproperties/imagepropertiesgpstab.cpp:194
#27 0x00007f5314e4d1f9 in Digikam::ImagePropertiesSideBar::ImagePropertiesSideBar (this=0x15d21a0, parent=0xd5e6c0, splitter=<value optimized out>, side=<value optimized out>, 
    mimimizedDefault=<value optimized out>) at /usr/src/debug/digikam-1.3.0/libs/imageproperties/imagepropertiessidebar.cpp:77
#28 0x0000000000489cab in Digikam::ImagePropertiesSideBarDB::ImagePropertiesSideBarDB (this=0x15d21a0, parent=0xd5e6c0, splitter=<value optimized out>, side=<value optimized out>, 
    mimimizedDefault=<value optimized out>) at /usr/src/debug/digikam-1.3.0/libs/imageproperties/imagepropertiessidebardb.cpp:88
#29 0x000000000066ee09 in Digikam::DigikamView::DigikamView (this=0xd5e6c0, parent=0xda5640, modelCollection=0xd79e30) at /usr/src/debug/digikam-1.3.0/digikam/digikamview.cpp:175
#30 0x0000000000649f4d in Digikam::DigikamApp::setupView (this=0xda5640) at /usr/src/debug/digikam-1.3.0/digikam/digikamapp.cpp:485
#31 0x0000000000660625 in Digikam::DigikamApp::DigikamApp (this=0xda5640, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at /usr/src/debug/digikam-1.3.0/digikam/digikamapp.cpp:230
#32 0x00000000007136fb in main (argc=11031856, argv=0x7fffaf219d58) at /usr/src/debug/digikam-1.3.0/digikam/main.cpp:172

Reported using DrKonqi
Comment 1 caulier.gilles 2010-07-17 10:29:52 UTC
This is not a digiKam crash. Crash appear in Qt4, in jpeg image loader. Sound like you have a probelm with your libjpeg installed in your system. Do not mix previous libjpeg 6.2 version with 8.0...

In other words, check your system...

Gilles Caulier
Comment 2 Cyrille Dunant 2010-07-17 21:36:32 UTC
On Saturday 17 July 2010 04:29:54 Gilles Caulier wrote:
> https://bugs.kde.org/show_bug.cgi?id=244914
> 
> 
> Gilles Caulier <caulier.gilles@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ---------------------------------------------------------------------------
> - Status|UNCONFIRMED                 |RESOLVED
>                  CC|                            |caulier.gilles@gmail.com
>          Resolution|                            |INVALID
> 
> 
> 
> 
> --- Comment #1 from Gilles Caulier <caulier gilles gmail com>  2010-07-17
> 10:29:52 --- This is not a digiKam crash. Crash appear in Qt4, in jpeg
> image loader. Sound like you have a probelm with your libjpeg installed in
> your system. Do not mix previous libjpeg 6.2 version with 8.0...
> 
> In other words, check your system...
> 
> Gilles Caulier

Thank you! I had unexplained crashes now and then, and thanks to you, I fixed 
them!
Comment 3 Dennis Nienhüser 2011-02-13 17:29:32 UTC
*** Bug 266149 has been marked as a duplicate of this bug. ***